Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Arne-Brün Vogelsang
AuthorEmail: arne@monocles.de
WebSite: https://monocles.de/more/
SourceCode: https://codeberg.org/Arne/monocles_chat
IssueTracker: https://codeberg.org/Arne/monocles_chat/issues
Translation: https://translate.codeberg.org/projects/monocles_chat/monocles_chat
Donate: https://monocles.de/more/#donation-section

AutoName: monocles chat

RepoType: git
Repo: https://codeberg.org/Arne/monocles_chat.git

Builds:
  - versionName: '1.0'
    versionCode: 100
    commit: v1.0
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.1'
    versionCode: 101
    commit: v1.1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.2'
    versionCode: 102
    commit: 84ecbb38d0c55cc638ed8201101ea3c3f6e37ee1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.3'
    versionCode: 103
    commit: d32fc95ad48f496e3071096ce01a96bc29941e6b
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.1
    versionCode: 104
    commit: a962984760be038f4a957acc667b2ed61df52c8e
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.2
    versionCode: 105
    commit: b9578c21be82ac85116f877ca00c06a9a3383c70
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.4'
    versionCode: 106
    commit: 94783aeff0e2e7e2e8d15c6a5a81aba91936be2f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.1
    versionCode: 107
    commit: 8c659e4c5efdc6f909ade6bb5765d753df0f9cd1
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.2
    versionCode: 108
    commit: 0bbf2f2b758547a6825267d2d6b092232da48d84
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.5.1
    versionCode: 112
    commit: df79495cf8ccb4ce4a38e61c00512b1396f1eeb4
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.10
    versionCode: 121
    commit: 8a14a7aea7b809933886864bfb58431324ab22b2
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.11
    versionCode: 122
    commit: 1d5508acbf8f9271a1cff612790ea6dce7f6e5b1
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.12
    versionCode: 123
    disable: libwebrtc changed source
    commit: 540098470877bee2830ac5c976cd5401e946df20
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.13
    versionCode: 124
    commit: 6010c46b79e2a459c22537db72cf74b2a9c9e72b
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.14
    versionCode: 125
    disable: app database crashing
    commit: 48bea027633c5694dfdc38fe9addb4df59463fd3
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.15
    versionCode: 126
    commit: 8b592378587cb7a84bfbe5604f90e2a9d5e94ad9
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: '1.6'
    versionCode: 127
    disable: tag removed https://codeberg.org/Arne/monocles_chat/commit/0eb7f546bd18260b20121a8f21ec32fd4ad145f8
    commit: 94b473b0585777db5aff3e1deee6965ef918f5c7
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.6.1
    versionCode: 128
    commit: bf56eac8c233853bc480b950deea18217e850442
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.6.2
    versionCode: 12901
    commit: 39cf4a48cc141fe5a739117a4aa99610d5d9b9f2
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.6.2
    versionCode: 12902
    commit: 39cf4a48cc141fe5a739117a4aa99610d5d9b9f2
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.6.2
    versionCode: 12903
    commit: 39cf4a48cc141fe5a739117a4aa99610d5d9b9f2
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.6.2
    versionCode: 12904
    commit: 39cf4a48cc141fe5a739117a4aa99610d5d9b9f2
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.6.3
    versionCode: 13001
    disable: app errors
    commit: 17a98fbcc8fa98bdb1a19ca21a753f71c2169140
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.6.3
    versionCode: 13002
    disable: app errors
    commit: 17a98fbcc8fa98bdb1a19ca21a753f71c2169140
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.6.3
    versionCode: 13003
    disable: app errors
    commit: 17a98fbcc8fa98bdb1a19ca21a753f71c2169140
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.6.3
    versionCode: 13004
    disable: app errors
    commit: 17a98fbcc8fa98bdb1a19ca21a753f71c2169140
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.6.4
    versionCode: 13101
    commit: 05790e212eb89a2397d02a49c9b4b109b46a241c
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.6.4
    versionCode: 13102
    commit: 05790e212eb89a2397d02a49c9b4b109b46a241c
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.6.4
    versionCode: 13103
    commit: 05790e212eb89a2397d02a49c9b4b109b46a241c
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.6.4
    versionCode: 13104
    commit: 05790e212eb89a2397d02a49c9b4b109b46a241c
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: '1.7'
    versionCode: 13201
    commit: 3d24489c2515ac3f19513f9624853811b2ed3379
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: '1.7'
    versionCode: 13202
    commit: 3d24489c2515ac3f19513f9624853811b2ed3379
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: '1.7'
    versionCode: 13203
    commit: 3d24489c2515ac3f19513f9624853811b2ed3379
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: '1.7'
    versionCode: 13204
    commit: 3d24489c2515ac3f19513f9624853811b2ed3379
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.7.1
    versionCode: 13301
    commit: 8123dda1ba5f462a9b4203bd1ecaa93f87e5b89a
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.7.1
    versionCode: 13302
    commit: 8123dda1ba5f462a9b4203bd1ecaa93f87e5b89a
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.7.1
    versionCode: 13303
    commit: 8123dda1ba5f462a9b4203bd1ecaa93f87e5b89a
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.7.1
    versionCode: 13304
    commit: 8123dda1ba5f462a9b4203bd1ecaa93f87e5b89a
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.7.2
    versionCode: 13401
    commit: 460e1dedfd541e33dbd25757e8206eb0d5447b17
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.7.2
    versionCode: 13402
    commit: 460e1dedfd541e33dbd25757e8206eb0d5447b17
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.7.2
    versionCode: 13403
    commit: 460e1dedfd541e33dbd25757e8206eb0d5447b17
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.7.2
    versionCode: 13404
    commit: 460e1dedfd541e33dbd25757e8206eb0d5447b17
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.7.3
    versionCode: 13501
    commit: baab0dd103d8fc7ed5c1203ea77ed98f7bcf9319
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "armeabi-v7a"/' build.gradle

  - versionName: 1.7.3
    versionCode: 13502
    commit: baab0dd103d8fc7ed5c1203ea77ed98f7bcf9319
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86"/' build.gradle

  - versionName: 1.7.3
    versionCode: 13503
    commit: baab0dd103d8fc7ed5c1203ea77ed98f7bcf9319
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "x86_64"/' build.gradle

  - versionName: 1.7.3
    versionCode: 13504
    commit: baab0dd103d8fc7ed5c1203ea77ed98f7bcf9319
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
      "arm64-v8a"/' build.gradle

  - versionName: 1.7.4
    versionCode: 13601
    commit: 958c90b91289eeb8520bafc364014a80d997926e
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "armeabi-v7a"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.4
    versionCode: 13602
    commit: 958c90b91289eeb8520bafc364014a80d997926e
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "x86"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.4
    versionCode: 13603
    commit: 958c90b91289eeb8520bafc364014a80d997926e
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "x86_64"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.4
    versionCode: 13604
    commit: 958c90b91289eeb8520bafc364014a80d997926e
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "arm64-v8a"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.5
    versionCode: 13701
    commit: 2063fb2092270e1880a33b6fc393b6f492fc0735
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "armeabi-v7a"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.5
    versionCode: 13702
    commit: 2063fb2092270e1880a33b6fc393b6f492fc0735
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "x86"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.5
    versionCode: 13703
    commit: 2063fb2092270e1880a33b6fc393b6f492fc0735
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "x86_64"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.5
    versionCode: 13704
    commit: 2063fb2092270e1880a33b6fc393b6f492fc0735
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/universalApk true/reset()\ninclude
        "arm64-v8a"/' -e '/bintray-release/d' build.gradle
      - sed -i -e 's/-XX:MaxPermSize=2048m//' gradle.properties

  - versionName: 1.7.7.2
    versionCode: 14701
    commit: 95aa9853c94452e34f3d084e0142eac87c7b457f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    output: build/outputs/apk/git/release/monocles*-*-git-armeabi-v7a-release-unsigned.apk
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/Apk true/Apk false/'
      -e '/bintray-release/d' build.gradle

  - versionName: 1.7.7.2
    versionCode: 14702
    commit: 95aa9853c94452e34f3d084e0142eac87c7b457f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    output: build/outputs/apk/git/release/monocles*-*-git-x86-release-unsigned.apk
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/Apk true/Apk false/'
      -e '/bintray-release/d' build.gradle

  - versionName: 1.7.7.2
    versionCode: 14703
    commit: 95aa9853c94452e34f3d084e0142eac87c7b457f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    output: build/outputs/apk/git/release/monocles*-*-git-x86_64-release-unsigned.apk
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/Apk true/Apk false/'
      -e '/bintray-release/d' build.gradle

  - versionName: 1.7.7.2
    versionCode: 14704
    commit: 95aa9853c94452e34f3d084e0142eac87c7b457f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - git
    output: build/outputs/apk/git/release/monocles*-*-git-arm64-v8a-release-unsigned.apk
    prebuild: sed -i -e '/signingConfigs./d' -e '/grgit/d' -e 's/Apk true/Apk false/'
      -e '/bintray-release/d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
VercodeOperation:
  - 100 * %c + 1
  - 100 * %c + 2
  - 100 * %c + 3
  - 100 * %c + 4
CurrentVersion: 1.7.7.2
CurrentVersionCode: 14704
